#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CXX_LINKER_FLAGS=-Wl,--no-as-needed',
    '--PETSC_ARCH=arm-linux-gnueabihf-complex-debug-64',
    '--build=arm-linux-gnueabihf',
    '--includedir=${prefix}/include',
    '--infodir=${prefix}/share/info',
    '--libdir=${prefix}/lib/arm-linux-gnueabihf',
    '--localstatedir=/var',
    '--mandir=${prefix}/share/man',
    '--prefix=/usr/lib/petscdir/petsc64-3.18/arm-linux-gnueabihf-complex-debug',
    '--runstatedir=/run',
    '--shared-library-extension=64_complex',
    '--sysconfdir=/etc',
    '--with-64-bit-indices',
    '--with-blas-lib=-lblas',
    '--with-cc=mpicc',
    '--with-cxx-dialect=C++11',
    '--with-cxx=mpicxx',
    '--with-debugging=1',
    '--with-dependency-tracking=0',
    '--with-fc=mpif90',
    '--with-fftw-include=[]',
    '--with-fftw-lib=-lfftw3 -lfftw3_mpi',
    '--with-fftw=1',
    '--with-hdf5-include=/usr/include/hdf5/openmpi',
    '--with-hdf5-lib=-L/usr/lib/arm-linux-gnueabihf/hdf5/openmpi -lhdf5 -L/usr/lib/arm-linux-gnueabihf/openmpi/lib -lmpi ',
    '--with-lapack-lib=-llapack',
    '--with-maintainer-mode=0',
    '--with-mumps-include=[]',
    '--with-mumps-lib=-ldmumps_64 -lzmumps_64 -lsmumps_64 -lcmumps_64 -lmumps_common_64 -lpord_64',
    '--with-mumps=1',
    '--with-opencl=1',
    '--with-option-checking=0',
    '--with-pic=1',
    '--with-ptscotch-include=/usr/include/scotch',
    '--with-ptscotch-lib=-lptesmumps -lptscotch -lptscotcherr',
    '--with-ptscotch=1',
    '--with-scalapack-lib=-lscalapack-openmpi',
    '--with-scalapack=1',
    '--with-scalar-type=complex',
    '--with-shared-libraries',
    '--with-silent-rules=0',
    '--with-yaml=1',
    'CFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-k6vgtT/petsc-3.18.3+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2',
    'CXXFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-k6vgtT/petsc-3.18.3+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'FCFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-k6vgtT/petsc-3.18.3+dfsg1=. -fstack-protector-strong -fPIC -ffree-line-length-0',
    'FFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-k6vgtT/petsc-3.18.3+dfsg1=. -fstack-protector-strong -fPIC -ffree-line-length-0',
    'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro -fPIC',
    'MAKEFLAGS=w',
  ]
  configure.petsc_configure(configure_options)
